%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

Name:           perl-XML-LibXML-Common
Version:        0.13
Release:        0.fdr.7.1
Epoch:          0
Summary:        Routines and constants common for XML::LibXML and XML::GDOME

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/XML-LibXML-Common/
Source0:        http://www.cpan.org/authors/id/P/PH/PHISH/XML-LibXML-Common-0.13.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml2-devel, perl >= 1:5.6.1
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
XML::LibXML::Common contains several constants and functions that are
shared by XML::LibXML, XML::GDOME and XML::LibXSLT.


%prep
%setup -q -n XML-LibXML-Common-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%{__perl} -pi -e 's/^\tLD_RUN_PATH=[^\s]+\s*/\t/' Makefile
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -a \( -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorarch}/auto/XML
%{perl_vendorarch}/XML
%{_mandir}/man3/XML*.3*


%changelog
* Sun May 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.13-0.fdr.7
- Better RPATH avoidance, thanks to Michael Schwendt for the idea (bug 1064).

* Sun May 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.13-0.fdr.6
- Avoid RPATHs.

* Wed May 12 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.13-0.fdr.5
- BuildRequire perl >= 1:5.6.1 for vendor install dirs.
- Use pure_install to avoid perllocal.pod workarounds.

* Sat May  1 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.13-0.fdr.4
- Require perl(:MODULE_COMPAT_*).

* Mon Feb  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.13-0.fdr.3
- Reduce directory ownership bloat.

* Tue Sep 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.13-0.fdr.2
- Install into vendor dirs.
- Spec cleanup.

* Wed Aug 20 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.13-0.fdr.1
- First build (where did I lose my previous package of this?)
